View Issue Details

IDProjectCategoryView StatusLast Update
13756Bug reports[All Projects] Theme editorpublic2018-08-09 14:19
ReporterMaziAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.9.x 
Target VersionFixed in Version3.14.x 
Summary13756: Improved twig code to show DIV.privacy box depending on settings
DescriptionTo only show the DIV.privacy box if either the survey is set to be anonymous (this will cause Limesurvey to show a default privacy note) or if the user selected to show a custom privacy message, the following adjustment can be made at privacy.twig:
{#
    LimeSurvey
    Copyright (C) 2007-2017 The LimeSurvey Project Team / Louis Gac
    All rights reserved.
    License: GNU/GPL License v2 or later, see LICENSE.php
    LimeSurvey is free software. This version may have been modified pursuant
    to the GNU General Public License, and as distributed it includes or
    is derivative of works licensed under the GNU General Public License or
    other free or open source software licenses.
    See COPYRIGHT.php for copyright notices and details.

    (¯`·._.·(¯`·._.· Privacy ·._.·´¯)·._.·´¯)

    Show the privacy message (in All in One Mode)
    see: allinone_mode_welcome_privacy.twig

#}

<!-- Privacy message -->
{% if (aSurveyInfo.anonymized == "Y" or aSurveyInfo.showsurveypolicynotice == 1 or aSurveyInfo.showsurveypolicynotice == 2) %}
<div class="{{ aSurveyInfo.class.privacycontainer }} row" {{ aSurveyInfo.attr.privacycontainer }}>
    <div class="{{ aSurveyInfo.class.privacycol }} col-sm-12 col-centered" {{ aSurveyInfo.attr.privacycol }}>
        {% block anonymous %}
        {% if (aSurveyInfo.anonymized == "Y") %}
            <div class="{{ aSurveyInfo.class.privacyhead }} h4 text-primary " {{ aSurveyInfo.attr.privacyhead }}>
                {{ gT("This survey is anonymous.") }}
            </div>
            <div>
                <p class="{{ aSurveyInfo.class.privacybody }}" {{ aSurveyInfo.attr.privacybody }}>
                    {{
                        "The record of your survey responses does not contain any identifying information about you, unless a specific survey question explicitly asked for it."
                        | t
                    }}
                


                <p class="{{ aSurveyInfo.class.privacybody }}">
                    {{
                        "If you used an identifying token to access this survey, please rest assured that this token will not be stored together with your responses. It is managed in a separate database and will only be updated to indicate whether you did (or did not) complete this survey. There is no way of matching identification tokens with survey responses."
                        | t
                    }}
                


            </div>
        {% endif %}
        {% endblock %}
        {% block datasecurity %}
            {% if (aSurveyInfo.showsurveypolicynotice == 1) %}
                {{include('./subviews/privacy/privacy_text.twig')}}
            {% elseif (aSurveyInfo.showsurveypolicynotice == 2) %}
                {{include( './subviews/privacy/privacy_modal.twig')}}
            {% endif %}
        {% endblock %}
    </div>
</div>
{% endif %}
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.9.0+180604
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5
Operating System (Server)Ubuntu 14 TLS
Webserver software & versionApache 2
PHP Version7.0.26

Activities

DenisChenu

DenisChenu

2018-06-11 17:46

developer   ~48053

Maybe (not tested)
{% if (aSurveyInfo.anonymized == "Y" or aSurveyInfo.showsurveypolicynotice > 0 %}

Issue History

Date Modified Username Field Change
2018-06-11 17:26 Mazi New Issue
2018-06-11 17:26 Mazi Status new => assigned
2018-06-11 17:26 Mazi Assigned To => LouisGac
2018-06-11 17:46 DenisChenu Note Added: 48053
2018-06-18 13:25 LouisGac Assigned To LouisGac => markusfluer
2018-08-09 14:19 markusfluer Status assigned => closed
2018-08-09 14:19 markusfluer Resolution open => fixed
2018-08-09 14:19 markusfluer Fixed in Version => 3.14.x